;***********************************************************************;
;					Menu remplacant JUMPER				;
;***********************************************************************;
menu_jumper
	call	aff_lcd_choix_jumper
	goto	affiche_etoile

;-----  Appui touche?  -----
atten_ok_jumper
	call	position_curseur_ligne_bas		; curseur en  x me position 
	movlw	">"
	call	lcd_char
	btfss	tche_plus				;appuis "+" ?
	goto	tche_plus_on_jumper			;touche "+" appuy
		btfss	tche_moins				;appuis "-" ?
		goto	tche_moins_on_jumper		;touche "-" appuy
			btfss	tche_ok				;appuis "OK"?
			goto	tche_ok_on_jumper			;touche "OK" appuy
			goto	atten_ok_jumper

;-----  Touche "OK"  -----			;
tche_ok_on_jumper
	call	clr_lcd
	call	bank2			; Change d'adressage
	movlw	0x18			; Charge la valeur en Hxa 0x17
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	movf	jumper,w
	call	ecrit_eeprom		; Ss prog d'criture en EEPROM,
	return

;-----  Touche "+"  -----
tche_plus_on_jumper
	incf	jumper,1
	movf	jumper,w
	sublw	d'4'
	btfsc	STATUS,Z
		clrf	jumper		;si jumper=4 on le fait passer  0
	call	wait_200ms			;attend 200ms 
	goto	affiche_etoile	
			
;-----  Touche "-"  -----
tche_moins_on_jumper
	decf	jumper,1
	movf	jumper,w
	sublw	d'255'
	btfss	STATUS,Z
	goto	$+3
		movlw	d'3'
		movwf	jumper		;si jumper=0 on le fait passer  3
	call	wait_200ms			;attend 200ms 
	goto	affiche_etoile

affiche_etoile
	call	aff_lcd_choix_jumper_bas		;reaffiche la ligne du bas en tant vierge (sans *)

;---- Positionne * devant la valeur dsire ----;
	movf	jumper,w
	sublw	d'0'
	btfsc	STATUS,Z				;jumper 0 slectionn?
	call	jumper_0	
		movf	jumper,w
		sublw	d'1'
		btfsc	STATUS,Z			;jumper 1 slectionn?
		call	jumper_1	
			movf	jumper,w
			sublw	d'2'
			btfsc	STATUS,Z				;jumper 2 slectionn?
			call	jumper_2	
				movf	jumper,w
					sublw	d'3'
					btfsc	STATUS,Z			;jumper 3 slectionn?
					call	jumper_3	
				goto	atten_ok_jumper	;normalement on y viendra jamais

jumper_0
	movlw	d'0'
	movwf	CURSEUR
	goto	atten_ok_jumper

jumper_1
	movlw	d'4'
	movwf	CURSEUR
	goto	atten_ok_jumper

jumper_2
	movlw	d'8'
	movwf	CURSEUR
	goto	atten_ok_jumper

jumper_3
	movlw	d'13'
	movwf	CURSEUR
	goto	atten_ok_jumper



;***********************************************************************;
;				Affiche  "hiver" ou "t"				;
;***********************************************************************;
affiche_lcd_ete_hiver
	movf	manuel,w
	sublw	d'1'
	btfss	STATUS,Z				;z=1=galit = l'utilisateur ou le menu prime sur la couverture
	goto	lecture_port

	call	bank2			; Change d'adressage
	movlw	0x16			; Charge la valeur en Hxa 0x01
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	call	lit_eeprom
	movwf	var_ete_hiver_manuel

	call	aff_lcd_ete				;affiche sur le lcd Ete  (valeur par defaut)
	movf	var_ete_hiver_manuel,w
	sublw	d'1'
	btfss	STATUS,Z
	call	aff_lcd_hiver			;affiche sur lcd Hiver
	goto	fin_affiche_lcd_ete_hiver

lecture_port
	bsf	INTCON,RBIE				;active interruption RB4/RB7
	btfsc	ete_hiver			;si =1=ete	 et 0=hiver=switch=tirage  la masse
	goto	aff_ete
		call	aff_lcd_hiver		;affiche sur lcd Hiver
		goto	fin_affiche_lcd_ete_hiver
aff_ete
	call	aff_lcd_ete			;affiche sur le lcd Ete
fin_affiche_lcd_ete_hiver
	return

;***********************************************************************;
;				Dtermine si hiver ou t				;
;***********************************************************************;
ete_ou_hiver
	movlw	d'1'
	movwf	var_ete_hiver		;on dit que on est en t
	btfss	ete_hiver			;si =1=ete	 et 0=hiver=switch=tirage  la masse
	clrf	var_ete_hiver		;=0=hiver donc on met 0 var_ete_hiver
	nop
	return


;***********************************************************************;
;					Menu_crtl						;
;***********************************************************************;
menu_ctrl

;*****************************************;
;****---- Menu inversion polarite ----****;

	call	aff_lcd_inversion_polarite	;affiche "Inv Polarite"
	clrf	var_polarite			;efface la variable
	call	aff_lcd_non_ok

;-----  Appui touche?  -----
atten_ok_pol
	btfss	tche_plus				;appuis "+" ?
	goto	tche_plus_on_inv_pol		;touche "+" appuy
		btfss	tche_moins				;appuis "-" ?
		goto	tche_moins_on_inv_pol		;touche "-" appuy
			btfss	tche_ok				;appuis "OK"?
			goto	tche_ok_on_inv_pol		;touche "OK" appuy
			goto	$-6

;-----  Touche "+"  -----
tche_plus_on_inv_pol
	movlw	d'1'
	movwf	var_polarite			;met la variable  1
	call	aff_lcd_oui_ok
	goto	atten_ok_pol
			
;-----  Touche "-"  -----
tche_moins_on_inv_pol
	clrf	var_polarite			;efface la variable
	call	aff_lcd_non_ok	
	goto	atten_ok_pol

;-----  Touche "OK"  -----
tche_ok_on_inv_pol		
	movf	var_polarite,w
	sublw	d'1'
	btfsc	STATUS,Z				;inverse ou pas la polarit selon le choix utilisateur
	comf	polarite_A_B
	
	movlw	d'1'					;comme on est dasn le menu, on met  1 polarit B (par dfaut)
	movwf	polarite_B		
	btfss	polarite_A_B			; on regarde l'tat de la sortie et en fonction on dtermine Polarite A ou B
	clrf	polarite_B

	bcf	production				;dsactive la production
	call	clr_lcd				;efface LCD
	
;---- Fin d'appui ok ----;
	btfss	tche_ok				;appuis "OK"?
	goto	$-1					;touche "OK" toujours appuye?

;********************************;
;****---- Menu ETE HIVER ----****;
;--- Ss menu  AUTO ou MANUEL ---;
	call	aff_lcd_menu_auto_manuel
	clrf	manuel
	call	aff_lcd_auto			;affiche par defaut "Auto"

;-----  Appui touche?  -----
atten_ok_auto_manuel
	btfss	tche_plus				;appuis "+" ?
	goto	tche_plus_on_auto			;touche "+" appuy
		btfss	tche_moins				;appuis "-" ?
		goto	tche_moins_on_auto		;touche "-" appuy
			btfss	tche_ok				;appuis "OK"?
			goto	tche_ok_on_ete_auto		;touche "OK" appuy
			goto	atten_ok_auto_manuel

;-----  Touche "+"  -----
tche_plus_on_auto
	call	aff_lcd_manuel				;affiche par defaut Manuel
	movlw	d'1'
	movwf	manuel
	bcf	INTCON,RBIE				;dsactive interruption RB4/RB7
	bsf	led_manuel				;allume la led tmoin
	goto	atten_ok_auto_manuel
			
;-----  Touche "-"  -----
tche_moins_on_auto
	call	aff_lcd_auto			;affiche par defaut Auto
	clrf	manuel
	bsf	INTCON,RBIE				;active interruption RB4/RB7
	bcf	led_manuel				;teint la led tmoin
	goto	atten_ok_auto_manuel

;-----  Touche "OK"  -----
tche_ok_on_ete_auto
	call	clr_lcd				;efface LCD

;---- Fin d'appui ok ----;
	btfss	tche_ok				;appuis "OK"?
	goto	$-1					;touche "OK" toujours appuye?

	call	bank2			; Change d'adressage
	movlw	0x15			; Charge la valeur en Hxa 0x01
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	movf	manuel,w
	call	ecrit_eeprom		; Ss prog d'criture en EEPROM,

	movf	manuel,w
	sublw	d'1'
	btfss	STATUS,Z				;z=1=galit = l'utilisateur ou le menu prime sur la couverture
	goto	debut_constraste			;mode auto donc on a pas  choisir si ETE ou HIVER


;*****************************;
;****---- Menu MANUEL ----****;
	bcf	INTCON,RBIE				;dsactive interruption RB4/RB7

	call	aff_lcd_menu_ete_hiver
	movlw	d'1'
	movwf	var_ete_hiver
	call	aff_lcd_ete				;affiche par defaut ete

;-----  Appui touche?  -----
atten_ok_ete_hiver
	btfss	tche_plus				;appuis "+" ?
	goto	tche_plus_on_ete			;touche "+" appuy
		btfss	tche_moins				;appuis "-" ?
		goto	tche_moins_on_hiver		;touche "-" appuy
			btfss	tche_ok				;appuis "OK"?
			goto	tche_ok_on_ete_hiver		;touche "OK" appuy
			goto	atten_ok_ete_hiver

;-----  Touche "+"  -----
tche_plus_on_ete
	call	aff_lcd_ete				;affiche par defaut ete
	movlw	d'1'
	movwf	var_ete_hiver
	goto	atten_ok_ete_hiver
			
;-----  Touche "-"  -----
tche_moins_on_hiver
	call	aff_lcd_hiver			;affiche par defaut hiver
	clrf	var_ete_hiver
	goto	atten_ok_ete_hiver

;-----  Touche "OK"  -----
tche_ok_on_ete_hiver
	call	bank2			; Change d'adressage
	movlw	0x16			; Charge la valeur en Hxa 0x01
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	movf	var_ete_hiver,w
	call	ecrit_eeprom		; Ss prog d'criture en EEPROM,

	movf	var_ete_hiver,w
	movlw	var_ete_hiver_manuel

debut_constraste
;---- Fin d'appui ok ----;
	btfss	tche_ok				;appuis "OK"?
	goto	$-1					;touche "OK" toujours appuye?

	call	clr_lcd				;efface LCD

;********************************;
;****---- Menu contraste ----****;
	call	aff_lcd_contraste
;-----  Appui touche?  -----
atten_ok_contraste
	movf	CONTRASTE,w           	;PWM , modifie le rapport cyclique
      movwf	CCPR1L
	call	wait_100ms

	btfss	tche_plus				;appuis "+" ?
	goto	tche_plus_on_contraste		;touche "+" appuy
		btfss	tche_moins				;appuis "-" ?
		goto	tche_moins_on_contraste		;touche "-" appuy
			btfss	tche_ok				;appuis "OK"?
			goto	tche_ok_on_contraste		;touche "OK" appuy
			goto	$-6

;-----  Touche "+"  -----
tche_plus_on_contraste
	incf	CONTRASTE,1				;augmente le contraste
	goto	atten_ok_contraste
			
;-----  Touche "-"  -----
tche_moins_on_contraste
	decf	CONTRASTE,1				;diminue le contraste
	goto	atten_ok_contraste

;-----  Touche "OK"  -----
tche_ok_on_contraste	
	call	clr_lcd				;efface LCD

;---- Fin d'appui ok ----;
	btfss	tche_ok				;appuis "OK"?
	goto	$-1					;touche "OK" toujours appuye?

	return

;***********************************************************************;
;					New programme					;
;***********************************************************************;
new_prog
	call	lcd_aff_choix_programme		;Affiche "Choix programme "
	call	lcd_aff_numero_prog		;Affiche "  Prog :     +/-"

;-----  Affiche le N du programme  -----
aff	movlw	d'8'
	movwf	CURSEUR				;position le curseur  la ...position
	call	position_curseur_ligne_bas	;curseur en  x me position 
	movf	choix_prog,w
	call	lcd_nbr				;affiche le numro du programme

;-----  Appui touche?  -----
	btfss	tche_plus				;appuis "+" ?
	goto	tche_plus_on			;touche "+" appuy
		btfss	tche_moins				;appuis "-" ?
		goto	tche_moins_on			;touche "-" appuy
			btfss	tche_ok				;appuis "OK"?
			goto	tche_ok_on				;touche "OK" appuy
				btfss	tche_prog				;appuis "Prog"?
				goto	tche_prog_on			;touche "Prog" appuy
					goto	aff

;-----  Touche "PROG" Menu CACHE ( Prog+OK / + / - )  -----
tche_prog_on
	movlw	d'5'					;charge 5 dans NB_TEMPO
	movwf	NB_TEMPO

	call	wait_100ms
	btfss	tche_ok				;appuis "OK"?
	goto	suite1_menu_cache			;touche "OK" appuy
	decfsz	NB_TEMPO,1
	goto	$-4	
	goto	aff					;si pas "PROG + OK"

suite1_menu_cache
	movlw	d'15'					;charge 15 dans NB_TEMPO
	movwf	NB_TEMPO

	call	wait_100ms
	btfss	tche_plus				;appuis "+"?
	goto	suite2_menu_cache			;touche "+" appuy
	decfsz	NB_TEMPO,1
	goto	$-4	
	goto	aff	

suite2_menu_cache
	movlw	d'15'					;charge 15 dans NB_TEMPO
	movwf	NB_TEMPO

	call	wait_100ms
	btfss	tche_moins				;appuis "-"?
	goto	menu_cache				;touche "-" appuy
	decfsz	NB_TEMPO,1
	goto	$-4	
	goto	aff	

;-----  Menu cache  -----
menu_cache
	bcf	INTCON,PEIE			;dsactive interruption 
	bcf	INTCON,GIE			;dsactive interruption

	call	clr_lcd
	call	aff_compteur_garantie		;affiche "Compt. GARANTIE"
	call	charge_cmpt_garantie		;lis en eeprom les diffrentes compteurs GARANTIE
	call	wait_500ms
	call	wait_500ms
	call	clr_lcd
;	call	menu_jumper
;	call	valeur_programme
;	call	test_jumper
;	call	met_en_eeprom
	return


;-----  Touche "+"  -----
tche_plus_on
		incf	choix_prog,1		;incrmente le choix du porgramme
		movf	choix_prog,w
		sublw	d'6'
		btfsc	STATUS,Z
			clrf	choix_prog		;si choix_prog =6 on le fait passer  0
		call	wait_200ms			;attend 200ms 
		goto	aff	
			
;-----  Touche "-"  -----
tche_moins_on
		decf	choix_prog,1		;dcrmente le choix du programme
		movf	choix_prog,w
		sublw	d'255'
		btfss	STATUS,Z
		goto	$+3
			movlw	d'5'
			movwf	choix_prog		;si choix_prog =255 on le fait passer  5
		call	wait_200ms			;attend 200ms 
		goto	aff

;-----  Touche "OK"  -----
tche_ok_on	
	btfss	tche_ok				;appuis "OK"?
	goto	$-1					;touche "OK" toujours appuye?

	call	clr_lcd				;efface LCD

;-----  Test Validation ancien programme  (ex: Prog1  Prog1)   -----
	movf	choix_prog_n_1,w
	subwf	choix_prog,w
	btfsc	STATUS,Z				;ancien programme = new programme??
	return

valeur_programme

	movf	choix_prog,w
	movwf	choix_prog_n_1			;on a mmoris le nouveau prog
	clrf	heure_prod				;comme changement de programme
	clrf	minute_prod				;on remet  0 les diffrents compteurs 
	clrf	heure_prod_totale			;car on dmarre une nouvelle trame
	clrf	minute_prod_totale
	clrf	heure_pause		
	clrf	minute_pause
	clrf	pause
	clrf	polarite
	bcf	polarite_A_B
	clrf	scompteur_1s
	clrf	seconde

;---- Charge les valeurs pour le prog choisit ----;
	movf	choix_prog,w
	sublw	d'0'
	btfsc	STATUS,Z				;Programme 0 slectionn?
	goto	PROG_0	
		movf	choix_prog,w
		sublw	d'1'
		btfsc	STATUS,Z			;Programme 1 slectionn?
		goto	PROG_1	
	movf	choix_prog,w
	sublw	d'2'
	btfsc	STATUS,Z				;Programme 2 slectionn?
	goto	PROG_2	
		movf	choix_prog,w
		sublw	d'3'
		btfsc	STATUS,Z			;Programme 3 slectionn?
		goto	PROG_3	
	movf	choix_prog,w
	sublw	d'4'
	btfsc	STATUS,Z				;Programme 4 slectionn?
	goto	PROG_4	
		movf	choix_prog,w
		sublw	d'5'
		btfsc	STATUS,Z			;Programme 5 slectionn?
		goto	PROG_5	
	goto	new_prog				;normalement on n'y retournera jamais 

PROG_0
	bcf	production				;dsactive la production
	call	aff_ecran_principal		;permet d'afficher la temprature
	call	clavier				;retourne dans la boucle attend appui touche et production=off et interruption timer0:off
	return

PROG_1
	movlw	val_heure_prod_prog1
	movwf	val_heure_prod
	movlw	val_minute_prod_prog1	
	movwf	val_minute_prod	
	movlw	val_heure_pause_prog1
	movwf	val_heure_pause		
	movlw	val_minute_pause_prog1
	movwf	val_minute_pause

;---- Position ETE ou HIVER ----;
	movf	var_ete_hiver,w			;charge le contenu de var_ete_hiver   (1=t  0=hiver)
	sublw	d'1'
	btfss	STATUS,Z				;z=1-> var_ete_hiver=1 -> hiver
	goto	val_prog1_hiver			;position hiver
val_prog1_ete
	movlw	val_heure_prod_totale_prog1
	movwf	val_heure_prod_totale
	movlw	val_minute_prod_totale_prog1
	movwf	val_minute_prod_totale
	goto	fin_PROG_1
val_prog1_hiver
	movlw	val_heure_prod_totale_prog1h
	movwf	val_heure_prod_totale
	movlw	val_minute_prod_totale_prog1h
	movwf	val_minute_prod_totale
fin_PROG_1
	return


PROG_2
	movlw	val_heure_prod_prog2
	movwf	val_heure_prod
	movlw	val_minute_prod_prog2	
	movwf	val_minute_prod	
	movlw	val_heure_pause_prog2
	movwf	val_heure_pause		
	movlw	val_minute_pause_prog2
	movwf	val_minute_pause

;---- Position ETE ou HIVER ----;
	movf	var_ete_hiver,w			;charge le contenu de var_ete_hiver   (1=t  0=hiver)
	sublw	d'1'
	btfss	STATUS,Z				;z=1-> var_ete_hiver=1 -> ete
	goto	val_prog2_hiver				;position hiver
val_prog2_ete
	movlw	val_heure_prod_totale_prog2
	movwf	val_heure_prod_totale
	movlw	val_minute_prod_totale_prog2
	movwf	val_minute_prod_totale
	goto	fin_PROG_2
val_prog2_hiver
	movlw	val_heure_prod_totale_prog2h
	movwf	val_heure_prod_totale
	movlw	val_minute_prod_totale_prog2h
	movwf	val_minute_prod_totale
fin_PROG_2
	return


PROG_3
	movlw	val_heure_prod_prog3
	movwf	val_heure_prod
	movlw	val_minute_prod_prog3
	movwf	val_minute_prod	
	movlw	val_heure_pause_prog3
	movwf	val_heure_pause		
	movlw	val_minute_pause_prog3
	movwf	val_minute_pause

;---- Position ETE ou HIVER ----;
	movf	var_ete_hiver,w			;charge le contenu de var_ete_hiver   (1=t  0=hiver)
	sublw	d'1'
	btfss	STATUS,Z				;z=1-> var_ete_hiver=1 -> ete
	goto	val_prog3_hiver				;position hiver
val_prog3_ete
	movlw	val_heure_prod_totale_prog3
	movwf	val_heure_prod_totale
	movlw	val_minute_prod_totale_prog3
	movwf	val_minute_prod_totale
	goto	fin_PROG_3
val_prog3_hiver
	movlw	val_heure_prod_totale_prog3h
	movwf	val_heure_prod_totale
	movlw	val_minute_prod_totale_prog3h
	movwf	val_minute_prod_totale
fin_PROG_3
	return


PROG_4
	movlw	val_heure_prod_prog4
	movwf	val_heure_prod
	movlw	val_minute_prod_prog4
	movwf	val_minute_prod	
	movlw	val_heure_pause_prog4
	movwf	val_heure_pause		
	movlw	val_minute_pause_prog4
	movwf	val_minute_pause

;---- Position ETE ou HIVER ----;
	movf	var_ete_hiver,w			;charge le contenu de var_ete_hiver   (1=t  0=hiver)
	sublw	d'1'
	btfss	STATUS,Z				;z=1-> var_ete_hiver=1 -> ete
	goto	val_prog4_hiver				;position hiver
val_prog4_ete
	movlw	val_heure_prod_totale_prog4
	movwf	val_heure_prod_totale
	movlw	val_minute_prod_totale_prog4
	movwf	val_minute_prod_totale
	goto	fin_PROG_4
val_prog4_hiver
	movlw	val_heure_prod_totale_prog4h
	movwf	val_heure_prod_totale
	movlw	val_minute_prod_totale_prog4h
	movwf	val_minute_prod_totale
fin_PROG_4
	return


PROG_5
	movlw	val_heure_prod_prog5
	movwf	val_heure_prod
	movlw	val_minute_prod_prog5
	movwf	val_minute_prod	

;---- Position ETE ou HIVER ----;
	movf	var_ete_hiver,w			;charge le contenu de var_ete_hiver   (1=t  0=hiver)
	sublw	d'1'
	btfss	STATUS,Z				;z=1-> var_ete_hiver=1 -> ete
	goto	val_prog5_hiver				;position hiver
val_prog5_ete
	movlw	val_heure_prod_totale_prog5
	movwf	val_heure_prod_totale
	movlw	val_minute_prod_totale_prog5
	movwf	val_minute_prod_totale
	movlw	val_heure_pause_prog5
	movwf	val_heure_pause		
	movlw	val_minute_pause_prog5
	movwf	val_minute_pause
	goto	fin_PROG_5
val_prog5_hiver
	movlw	val_heure_prod_totale_prog5h
	movwf	val_heure_prod_totale
	movlw	val_minute_prod_totale_prog5h
	movwf	val_minute_prod_totale
	movlw	val_heure_pause_prog5h
	movwf	val_heure_pause		
	movlw	val_minute_pause_prog5h
	movwf	val_minute_pause
fin_PROG_5
	return


;***********************************************************************;
;				Envoi de trame complte					;
;***********************************************************************;
envoi_trame_code
	bsf	PORTC,3		;
	call	wait_5ms		;
	bcf	PORTC,3		;impulsion puis temps bas qui signifie "debut trame"
	call	wait_1ms		;
	call	wait_1ms		;
	call	wait_1ms		;

	movf	RAND_LO,w		
	movwf	donnee		;Donne  envoyer  	Code cellule
	call	envoi_creneau
	return

envoi_creneau
	bsf	PORTC,3		;
	call	wait_1ms		;
	bcf	PORTC,3		;
	call	wait_1ms		;fin du premier bit envoy
	decfsz	donnee,1	;decrmente la donne, quand galit  zro c'est fini pour cette donne
	goto	envoi_creneau
	call	wait_1ms		;
	call	wait_1ms		;signifie que l'envoi de la donne est finie
	call	wait_1ms		;

	return


;***********************************************************************;
;					Nombre alatoire					;
;***********************************************************************;
random
	movf	TMR0,w
	movwf	RAND_LO

	return


;***********************************************************************;
;		Changement de temps selon la position du jumper			;
;***********************************************************************;
test_jumper
	movf	jumper,w
	sublw	d'0'
	btfsc	STATUS,Z				;jumper 0 slectionn?
	goto	jump_0	
		movf	jumper,w
		sublw	d'1'
		btfsc	STATUS,Z			;jumper 1 slectionn?
		goto	jump_1	
			movf	jumper,w
			sublw	d'2'
			btfsc	STATUS,Z				;jumper 2 slectionn?
			goto	jump_2	
				movf	jumper,w
					sublw	d'3'
					btfsc	STATUS,Z			;jumper 3 slectionn?
					goto	jump_3	
						goto	test_jumper
jump_0
	nop
	return

jump_1
	movlw	val_heure_prod_jp1
	movwf	val_heure_prod
	movlw	val_minute_prod_jp1
	movwf	val_minute_prod
	return
	
jump_2
	movlw	val_heure_prod_jp2
	movwf	val_heure_prod
	movlw	val_minute_prod_jp2
	movwf	val_minute_prod
	return

jump_3
	movlw	val_heure_prod_jp3
	movwf	val_heure_prod
	movlw	val_minute_prod_jp3
	movwf	val_minute_prod
	return


