;***********************************************************************;
;			Valeur et emplacement en eeprom				;
;***********************************************************************;
;choix_prog				0x00
;val_heure_prod			0x01
;val_minute_prod			0x02
;val_heure_prod_totale		0x03
;val_minute_prod_totale		0x04
;val_heure_pause			0x05
;val_minute_pause			0x06
;polarite				0x07
;pause				0x08
;heure_prod				0x09
;minute_prod			0x0a
;heure_prod_totale		0x0b
;minute_prod_totale		0x0c
;heure_pause			0x0d
;minute_pause			0x0e
;polarite A ou B	(0/1)		0x0f				;on le lit pas en eeprom
;garantie_1				0x10				;on le lit pas au dmarage
;garantie_10			0x11				;on le lit pas au dmarage
;garantie_100			0x12				;on le lit pas au dmarage
;garantie_1000			0x13				;on le lit pas au dmarage
;ete_hiver				0x14
;manuel				0x15
;ete_hiver_manuel			0x16
;polarite_B				0x17
;jumper				0x18
;garantie_0_1			0x19				;on le lit pas au dmarage  sous compteur de garantie_1


;***********************************************************************;
;			Augmente le compteur garantie					;
;***********************************************************************;
charge_cmpt_garantie
	movlw	d'1'
	movwf	CURSEUR
	call	position_curseur_ligne_bas	; curseur en  x me position 

	call	bank2			; Change d'adressage
	movlw	0x13			; Charge la valeur en Hxa 0x13
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	call	lit_eeprom		; w contient la valeur lue
	movwf	LCD_CHAR_HEXA
		movlw	"0"			; On met le code ascii de 0 dans LCD_CHAR
		movwf	LCD_CHAR		;	"
	call	LCD_SEND_DECIMAL_1		;affiche la valeur lue

	call	bank2			; Change d'adressage
	movlw	0x12			; Charge la valeur en Hxa 0x12
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	call	lit_eeprom		; w contient la valeur lue
	movwf	LCD_CHAR_HEXA
		movlw	"0"			; On met le code ascii de 0 dans LCD_CHAR
		movwf	LCD_CHAR		;	"
	call	LCD_SEND_DECIMAL_1		;affiche la valeur lue

	call	bank2			; Change d'adressage
	movlw	0x11			; Charge la valeur en Hxa 0x11
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	call	lit_eeprom		; w contient la valeur lue
	movwf	LCD_CHAR_HEXA
		movlw	"0"			; On met le code ascii de 0 dans LCD_CHAR
		movwf	LCD_CHAR		;	"
	call	LCD_SEND_DECIMAL_1		;affiche la valeur lue

	call	bank2			; Change d'adressage
	movlw	0x10			; Charge la valeur en Hxa 0x10
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	call	lit_eeprom		; w contient la valeur lue
	movwf	LCD_CHAR_HEXA
		movlw	"0"			; On met le code ascii de 0 dans LCD_CHAR
		movwf	LCD_CHAR		;	"
	call	LCD_SEND_DECIMAL_1		;affiche la valeur lue

	return

;***********************************************************************;
;			Augmente le compteur garantie					;
;***********************************************************************;
met_en_eeprom_compteur_grarantie
	call	bank2			; Change d'adressage
	movlw	0x19			; Charge la valeur en Hxa 0x10
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	call	lit_eeprom		; w contient la valeur lue
	sublw	d'6'			; Soustraction avec la valeur 11 en dcimal et met le rsultat dans W
	btfss	STATUS,Z		; Test d'galit?
	goto	increm		; Y a pas galit,on incrmente le sous compteur garantie_1

	call	ecrit_eeprom	; Ss prog d'criture en EEPROM,avec W=0 car y a galit 


	call	bank2			; Change d'adressage
	movlw	0x10			; Charge la valeur en Hxa 0x10
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	call	lit_eeprom		; w contient la valeur lue
	sublw	d'9'			; Soustraction avec la valeur 11 en dcimal et met le rsultat dans W
	btfss	STATUS,Z		; Test d'galit?
	goto	increm		; Y a pas galit,on incrmente le sous compteur garantie_1

	call	ecrit_eeprom	; Ss prog d'criture en EEPROM,avec W=0 car y a galit 

	call	bank2			; Change d'adressage
	movlw	0x11			; Charge la valeur en Hxa 0x11
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	call	lit_eeprom		; Appelle le Ss prog de lecture de l'EEPROM (et renvoie la valeur ds W)
	sublw	d'9'			; Soustraction avec la valeur 11 en dcimal et met le rsultat dans W
	btfss	STATUS,Z		; Test d'galit?
	goto	increm		; Y a pas galit,on incrmente le sous compteur garantie_10

	call	ecrit_eeprom		; Ss prog d'criture en EEPROM,

	call	bank2			; Change d'adressage
	movlw	0x12			; Charge la valeur en Hxa 0x12
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	call	lit_eeprom		; Appelle le Ss prog de lecture de l'EEPROM (et renvoie la valeur ds W)
	sublw	d'9'			; Soustraction avec la valeur 11 en dcimal et met le rsultat dans W
	btfss	STATUS,Z		; Test d'galit?
	goto	increm		; Y a pas galit,on incrmente le sous compteur garantie_100

	call	ecrit_eeprom		; Ss prog d'criture en EEPROM,

	call	bank2			; Change d'adressage
	movlw	0x13			; Charge la valeur en Hxa 0x13
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	call	lit_eeprom		; Appelle le Ss prog de lecture de l'EEPROM (et renvoie la valeur ds W)

increm	
	call	lit_eeprom		; Appelle le Ss prog de lecture de l'EEPROM (et renvoie la valeur ds W)
	addlw	d'1'			; Incrmente le registre W
	call	ecrit_eeprom	; Ss prog d'criture en EEPROM,avec W=la valeur du compteur de garantie


	return

;***********************************************************************;
;			Met le contenu dans l'eeprom					;
;***********************************************************************;
met_en_eeprom
	clrf	compteur_10mn	;met  0 cette variable car on crit en eeprom

	call	bank2			; Change d'adressage
	movlw	0x00			; Charge la valeur en Hxa 0x01
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	movf	choix_prog,w
	call	ecrit_eeprom		; Ss prog d'criture en EEPROM,

	call	bank2			; Change d'adressage
	movlw	0x01			; Charge la valeur en Hxa 0x01
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	movf	val_heure_prod,w
	call	ecrit_eeprom		; Ss prog d'criture en EEPROM,

	call	bank2			; Change d'adressage
	movlw	0x02			; Charge la valeur en Hxa 0x01
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	movf	val_minute_prod,w
	call	ecrit_eeprom		; Ss prog d'criture en EEPROM,

	call	bank2			; Change d'adressage
	movlw	0x03			; Charge la valeur en Hxa 0x01
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	movf	val_heure_prod_totale,w
	call	ecrit_eeprom		; Ss prog d'criture en EEPROM,

	call	bank2			; Change d'adressage
	movlw	0x04			; Charge la valeur en Hxa 0x01
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	movf	val_minute_prod_totale,w
	call	ecrit_eeprom		; Ss prog d'criture en EEPROM,

	call	bank2			; Change d'adressage
	movlw	0x05			; Charge la valeur en Hxa 0x01
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	movf	val_heure_pause,w
	call	ecrit_eeprom		; Ss prog d'criture en EEPROM,

	call	bank2			; Change d'adressage
	movlw	0x06			; Charge la valeur en Hxa 0x01
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	movf	val_minute_pause,w
	call	ecrit_eeprom		; Ss prog d'criture en EEPROM,

	call	bank2			; Change d'adressage
	movlw	0x07			; Charge la valeur en Hxa 0x01
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	movf	polarite,w
	call	ecrit_eeprom		; Ss prog d'criture en EEPROM,

	call	bank2			; Change d'adressage
	movlw	0x08			; Charge la valeur en Hxa 0x01
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	movf	pause,w
	call	ecrit_eeprom		; Ss prog d'criture en EEPROM,

	call	bank2			; Change d'adressage
	movlw	0x09			; Charge la valeur en Hxa 0x01
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	movf	heure_prod,w
	call	ecrit_eeprom		; Ss prog d'criture en EEPROM,

	call	bank2			; Change d'adressage
	movlw	0x0a			; Charge la valeur en Hxa 0x01
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	movf	minute_prod,w
	call	ecrit_eeprom		; Ss prog d'criture en EEPROM,

	call	bank2			; Change d'adressage
	movlw	0x0b			; Charge la valeur en Hxa 0x01
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	movf	heure_prod_totale,w
	call	ecrit_eeprom		; Ss prog d'criture en EEPROM,

	call	bank2			; Change d'adressage
	movlw	0x0c			; Charge la valeur en Hxa 0x01
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	movf	minute_prod_totale,w
	call	ecrit_eeprom		; Ss prog d'criture en EEPROM,

	call	bank2			; Change d'adressage
	movlw	0x0d			; Charge la valeur en Hxa 0x01
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	movf	heure_pause,w
	call	ecrit_eeprom		; Ss prog d'criture en EEPROM,

	call	bank2			; Change d'adressage
	movlw	0x0e			; Charge la valeur en Hxa 0x01
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	movf	minute_pause,w
	call	ecrit_eeprom		; Ss prog d'criture en EEPROM,


	call	bank2			; Change d'adressage
	movlw	0x17			; Charge la valeur en Hxa 0x01
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	movf	polarite_B,w
	call	ecrit_eeprom		; Ss prog d'criture en EEPROM,


	return

;***********************************************************************;
;			Lit le contenu de l'eeprom					;
;***********************************************************************;
ancien_prog_eeprom
	call	bank2			; Change d'adressage
	movlw	0x00			; Charge la valeur en Hxa 0x0
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	call	lit_eeprom	
	movwf	choix_prog		;choix du prog

	call	bank2			; Change d'adressage
	movlw	0x01			; Charge la valeur en Hxa 0x0
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	call	lit_eeprom	
	movwf	val_heure_prod

	call	bank2			; Change d'adressage
	movlw	0x02			; Charge la valeur en Hxa 0x0
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	call	lit_eeprom	
	movwf	val_minute_prod	

	call	bank2			; Change d'adressage
	movlw	0x03			; Charge la valeur en Hxa 0x0
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	call	lit_eeprom	
	movwf	val_heure_prod_totale

	call	bank2			; Change d'adressage
	movlw	0x04			; Charge la valeur en Hxa 0x0
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	call	lit_eeprom	
	movwf	val_minute_prod_totale

	call	bank2			; Change d'adressage
	movlw	0x05			; Charge la valeur en Hxa 0x0
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	call	lit_eeprom	
	movwf	val_heure_pause		

	call	bank2			; Change d'adressage
	movlw	0x06			; Charge la valeur en Hxa 0x0
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	call	lit_eeprom	
	movwf	val_minute_pause

	call	bank2			; Change d'adressage
	movlw	0x07			; Charge la valeur en Hxa 0x0
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	call	lit_eeprom	
	movwf	polarite		

	call	bank2			; Change d'adressage
	movlw	0x08			; Charge la valeur en Hxa 0x0
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	call	lit_eeprom	
	movwf	pause

	call	bank2			; Change d'adressage
	movlw	0x09			; Charge la valeur en Hxa 0x0
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	call	lit_eeprom	
	movwf	heure_prod

	call	bank2			; Change d'adressage
	movlw	0x0a			; Charge la valeur en Hxa 0x0
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	call	lit_eeprom	
	movwf	minute_prod	

	call	bank2			; Change d'adressage
	movlw	0x0b			; Charge la valeur en Hxa 0x0
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	call	lit_eeprom	
	movwf	heure_prod_totale

	call	bank2			; Change d'adressage
	movlw	0x0c			; Charge la valeur en Hxa 0x0
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	call	lit_eeprom	
	movwf	minute_prod_totale

	call	bank2			; Change d'adressage
	movlw	0x0d			; Charge la valeur en Hxa 0x0
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	call	lit_eeprom	
	movwf	heure_pause		

	call	bank2			; Change d'adressage
	movlw	0x0e			; Charge la valeur en Hxa 0x0
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	call	lit_eeprom	
	movwf	minute_pause

	call	bank2			; Change d'adressage
	movlw	0x0f			; Charge la valeur en Hxa 0x0
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	call	lit_eeprom	
	movwf	var_polarite

	call	bank2			; Change d'adressage
	movlw	0x14			; Charge la valeur en Hxa 0x0
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	call	lit_eeprom	
	movwf	var_ete_hiver

	call	bank2			; Change d'adressage
	movlw	0x15			; Charge la valeur en Hxa 0x0
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	call	lit_eeprom	
	movwf	manuel

	call	bank2			; Change d'adressage
	movlw	0x16			; Charge la valeur en Hxa 0x0
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	call	lit_eeprom	
	movwf	var_ete_hiver_manuel

	call	bank2			; Change d'adressage
	movlw	0x17			; Charge la valeur en Hxa 0x0
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	call	lit_eeprom	
	movwf	polarite_B

	call	bank2			; Change d'adressage
	movlw	0x18			; Charge la valeur en Hxa 0x0
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	call	lit_eeprom	
	movwf	jumper

	return


;***********************************************************************;
;			Ss prog d'criture en EEPROM			;
;									;
;Paramtre d'entre: W	= donne  crire				;
;Paramtre de sortie:							;
;***********************************************************************;
ecrit_eeprom	
	local	loop
	BANK2			; Change d'adressage
	movwf	EEDATA		; placer data dans registre
	BANK3			; Change d'adressage
	bcf	EECON1,EEPGD	; pointer sur mmoire data
	bsf	EECON1,WREN	; autoriser accs criture
	movlw	0x55		; charger 0x55
	movwf	EECON2		; envoyer commande
	movlw	0xAA		; charger 0xAA
	movwf	EECON2		; envoyer commande
	bsf	EECON1,WR	; lancer cycle d'criture
	btfsc	EECON1,WR	; tester si criture termine
	goto	$-1		; non, attendre
	bcf	EECON1,WREN	; verrouiller prochaine criture
	BANK0			; Change d'adressage
	return

;***********************************************************************;
;			Ss prog de lecture en EEPROM			;
;									;
;Paramtre d'entre:							;
;Paramtre de sortie: W	= donne lue					;
;***********************************************************************;
lit_eeprom	
	BANK3			; Change d'adressage
	bcf	EECON1,EEPGD	; pointer sur mmoire data
	bsf	EECON1,RD	; autoriser accs lecture
	BANK2			; Change d'adressage
	movf	EEDATA,W	; charger la donne lue dans W
	BANK0			; Change d'adressage
	return

;***********************************************************************;
;			Ss prog permettan diffrent adressage		;
;									;
;Paramtre d'entre:							;
;Paramtre de sortie: 							;
;***********************************************************************;
bank0	bcf	STATUS,RP0
	bcf	STATUS,RP1
	return

bank1	bsf	STATUS,RP0
	bcf	STATUS,RP1
	return

bank2	bcf	STATUS,RP0
	bsf	STATUS,RP1
	return

bank3	bsf	STATUS,RP0
	bsf	STATUS,RP1
	return
