;*****************************************************************************
;                         INTERRUPTION RB4/RB7                               *
;*****************************************************************************
intrb4
		bcf	INTCON,T0IE			;dsactive interruption TMR0
		bcf	production			;dsactive la production
		bcf	polarite_A_B		;dsactive la polarit,retour config origine

		call	ete_ou_hiver		;dit si ete ou hiver
		call	valeur_programme		;charge les news valeurs

;---- Met en eeprom var_ete_hiver ----;
	call	bank2			; Change d'adressage
	movlw	0x14			; Charge la valeur en Hxa 0x01
	movwf	EEADR			; Place W dans le registre d'adressage de l'EEPROM
	call	bank0			; Change d'adressage
	movf	var_ete_hiver,w
	call	ecrit_eeprom		; Ss prog d'criture en EEPROM,


		bcf	INTCON,RBIF			; effacer flag interupt RB4/7 car ->  call bcl_principale
		call	bcl_ancien_prog

	return			; fin d'interruption
				; peut tre remplac par 
				; retlw pour retour code d'erreur

;*****************************************************************************
;                        INTERRUPTION TIMER 0                                *
;*****************************************************************************
inttmr0
	incf	scompteur_1s,1
	movf	scompteur_1s,w
	sublw	d'20'
	btfss	STATUS,Z
	goto	out		;si il ya 20 interruptions = 1s
;inc_seconde
;	incf	seconde,1
	clrf	scompteur_1s
;	movf	seconde,w
;	sublw	d'60'
;	btfss	STATUS,Z
;	goto	out
;inc_minute
;	clrf	seconde
	call	trame

out	movlw	d'57'		;valeur pour recharger le TMR0  logiquement c'est 55 mais a modifier
	movwf	TMR0
	return		; fin d'interruption timer
				; peut tre remplac par 
				; retlw pour retour code d'erreur

;*****************************************************************************
;                        INTERRUPTION RB0/INT                                *
;*****************************************************************************
intrb0

	call	wait_1ms
	btfss	reception
	goto	pas_debut_trame
	call	wait_1ms
	btfss	reception
	goto	pas_debut_trame
	call	wait_1ms
	btfss	reception
	goto	pas_debut_trame

debut_trame
	btfsc	reception
	goto	$-1			;attends fin des 5ms  l'tat haut

recept_valeur_1
	clrf	valeur
	clrf	nb_tempo
	call	inc_valeur
	movf	valeur,w
	movwf	valeur1

recept_valeur_2
	clrf	nb_tempo
	clrf	valeur
	call	inc_valeur
	movf	valeur,w
	movwf	valeur2
	movwf	degresh

recept_valeur_3
	clrf	nb_tempo
	clrf	valeur
	call	inc_valeur
	movf	valeur,w
	movwf	valeur3
	movwf	degresb


	bcf	INTCON,INTE			;autorise l'interruption RBO/INT
	bcf	INTCON,PEIE			;dsactive interruption 
	bcf	INTCON,GIE			;dsactive interruption 


pas_debut_trame
	return			; fin d'interruption RB4/RB7
				; peut tre remplac par 
				; retlw pour retour code d'erreur

inc_valeur
	clrf	nb_tempo
	incf	valeur,1
	btfss	reception
	goto	$-1
	btfsc	reception
	goto	$-1

atten
	btfsc	reception
	goto	inc_valeur
	nop			;
	nop			;
	nop			;	5s
	nop			;
	nop			;
	incf	nb_tempo,1
	movf	nb_tempo,w
	sublw	d'250'	; 5s*250= 1,25ms
	btfss	STATUS,Z
	goto	atten
	return


;*****************************************************************************
;                     INTERRUPTION CONVERTISSEUR A/D                         *
;*****************************************************************************
intad
	return			; fin d'interruption
				; peut tre remplac par 
				; retlw pour retour code d'erreur

;*****************************************************************************
;                     INTERRUPTION RECEPTION USART                           *
;*****************************************************************************
intrc
	return			; fin d'interruption
				; peut tre remplac par 
				; retlw pour retour code d'erreur

;*****************************************************************************
;                     INTERRUPTION TRANSMISSION USART                        *
;*****************************************************************************
inttx
	return			; fin d'interruption
				; peut tre remplac par 
				; retlw pour retour code d'erreur

;*****************************************************************************
;                       INTERRUPTION SSP                                     *
;*****************************************************************************
intssp

	return			; fin d'interruption RB0/INT
				; peut tre remplac par 
				; retlw pour retour code d'erreur

;*****************************************************************************
;                       INTERRUPTION CCP1                                    *
;*****************************************************************************
intccp1
	return			; fin d'interruption
				; peut tre remplac par 
				; retlw pour retour code d'erreur

;*****************************************************************************
;                     INTERRUPTION TIMER 2                                   *
;*****************************************************************************
inttmr2
	return			; fin d'interruption
				; peut tre remplac par 
				; retlw pour retour code d'erreur

;*****************************************************************************
;                     INTERRUPTION TIMER 1                                   *
;*****************************************************************************
inttmr1
	return			; fin d'interruption
				; peut tre remplac par 
				; retlw pour retour code d'erreur

;*****************************************************************************
;                     INTERRUPTION EEPROM                                    *
;*****************************************************************************
inteprom
	return			; fin d'interruption
				; peut tre remplac par 
				; retlw pour retour code d'erreur

;*****************************************************************************
;                     INTERRUPTION COLLISION                                 *
;*****************************************************************************
intbc
	return			; fin d'interruption
				; peut tre remplac par 
				; retlw pour retour code d'erreur

;*****************************************************************************
;                        INTERRUPTION CCP2                                   *
;*****************************************************************************
intccp2
	return			; fin d'interruption
				; peut tre remplac par 
				; retlw pour retour code d'erreur


;*****************************************************************************
;                        INTERRUPTION PSP                                    *
;*****************************************************************************
intpsp
	return			; fin d'interruption
				; peut tre remplac par 
				; retlw pour retour code d'erreur







