;_______________________________________;
;   		Efface LCD		;

clr_lcd
	movlw	0x01
	call	lcd_cmd
	return

;_______________________________________;
;   	Curseur sur la ligne 1		;

position_curseur_ligne_haut
	addlw	0x80
	call	lcd_cmd
	return

;_______________________________________;
;   	Curseur sur la ligne 2		;

position_curseur_ligne_bas
	addlw	0xC0
	call	lcd_cmd
	return


;_______________________________________;
;   Curseur en position 0 de ligne 1	;

lignehaut
	movlw	0x80
	call	lcd_cmd
	return


;_______________________________________;
;   Curseur en position 0 de ligne 2	;

lignebas
	movlw	0xC0
	call	lcd_cmd
	return


;_______________________________________;
;	Initialisation du LCD		;

lcd_init
	movlw	.30
	call	busy		
	movlw	0x28
	call	lcd_cmd
	movlw	0x0C
	call	lcd_cmd
	movlw	0x06
	call	lcd_cmd
	movlw	0x01
	call	lcd_cmd

	movlw	0x15			; sert pour le contraste du LCD
	movwf	CONTRASTE
	movf	CONTRASTE,w           	;PWM , modifie le rapport cyclique
      movwf	CCPR1L

	return


;_______________________________________;
;	   Valider un envoi		;

enable		bsf	PORTC,0
		NOP
		bcf	PORTC,0
		return


;_______________________________________;
;	Envoyer un caractre au LCD	;

lcd_char	movwf	LCD_TEMP
		movlw	0x08
		call 	busy		
		bsf	PORTC,1
		movf	LCD_TEMP,W
		andlw	B'11110000'		;rcuprer que les poids forts
		iorlw	B'00000011'		;placer les poids forts aux entres
		movwf	PORTC
		call	enable
		swapf	LCD_TEMP,W
		andlw	B'11110000'		;rcuprer que les poids forts
		iorlw	B'00000011'		;placer les poids forts aux entres
		movwf	PORTC
		call	enable
		return


;_______________________________________;
;	Envoyer une commande au LCD	;

lcd_cmd		movwf	LCD_TEMP
		movlw	0x08
		call	busy		
		bcf	PORTC,1
		movf	LCD_TEMP,W
		andlw	B'11110000'		;rcuprer que les poids forts
		movwf	PORTC
		call	enable
		swapf	LCD_TEMP,W
		andlw	B'11110000'		;rcuprer que les poids forts
		movwf	PORTC
		call	enable
		return


;_______________________________________;
;		TEMPO 500 S		;

busy		movwf	NB_TEMPO
boucle		movlw	.123
		movwf	BUSY_1
boucle1		NOP
		decfsz	BUSY_1,1
		goto	boucle1
		decfsz	NB_TEMPO,1
		goto	boucle	
		return


;_______________________________________;
;	ENVOYER UN NOMBRE AU LCD	;

lcd_nbr		movwf	LCD_CHAR_HEXA		; On met W (movlw 0x??) dans LCD_CHAR_HEXA, 

		clrf	digit
;************** Calcul des dixaines ******
		movlw	"0"			; On met le code ascii de 0 dans LCD_CHAR
		movwf	LCD_CHAR		;	"
		
LCD_SEND_DECIMAL_100
		movf	LCD_CHAR_HEXA, W
		addlw	-D'100'
		btfss	STATUS, C
		goto	$ + 4
		incf	LCD_CHAR, F
		movwf	LCD_CHAR_HEXA
		goto	LCD_SEND_DECIMAL_100
	
;************** Affiche les centaines ******
	
		movf	LCD_CHAR, W
		sublw	"0"
		btfsc	STATUS,Z		;si caractre =0 on affiche un espace
		goto	$+6
		movf	LCD_CHAR, W
		call	lcd_char
		movlw	d'255'
		movwf	digit
		goto	$+3

		movlw	' '
		call	lcd_char

		
;************** Calcul des dixaines ******
		movlw	"0"			; On met le code ascii de 0 dans LCD_CHAR
		movwf	LCD_CHAR		;	"
		
LCD_SEND_DECIMAL_10
		movf	LCD_CHAR_HEXA, W
		addlw	-D'10'
		btfss	STATUS, C
		goto	$ + 4
		incf	LCD_CHAR, F
		movwf	LCD_CHAR_HEXA
		goto	LCD_SEND_DECIMAL_10
	
;************** Affiche les dixaines ******
		movf	digit,w		;voir si >100 car si c'est 102 il faut affich le zro du milieu
		sublw	d'255'
		btfsc	STATUS,Z
		goto	$+5

		movf	LCD_CHAR, W
		sublw	"0"
		btfsc	STATUS,Z		;si caractre =0 on affiche un espace
		goto	$+4
		movf	LCD_CHAR, W
		call	lcd_char
		goto	$+3

		movlw	' '
		call	lcd_char

		movlw	"0"			; On met le code ascii de 0 dans LCD_CHAR
		movwf	LCD_CHAR		;	"

;************** Calcul des unites ******

LCD_SEND_DECIMAL_1
		movf	LCD_CHAR_HEXA, W
		addlw	-D'1'
		btfss	STATUS, C
		goto	$ + 4
		incf	LCD_CHAR, F
		movwf	LCD_CHAR_HEXA
		goto	LCD_SEND_DECIMAL_1

;************** Affiche les unites ******
		movf	LCD_CHAR, W
		call	lcd_char
		return


