
	__CONFIG   _CP_OFF & _DEBUG_OFF & _WRT_ENABLE_OFF & _CPD_OFF & _LVP_OFF & _BODEN_ON & _PWRTE_ON & _WDT_OFF & _HS_OSC 

;*****************************************************************************
;                               ASSIGNATIONS SYSTEME                         *
;*****************************************************************************
OPTIONVAL	EQU	B'11000111'			;1-Pull UP   1-Front montant RB0
INTCONVAL	EQU	B'00000000'
PIE1VAL	EQU	B'00000000'
PIE2VAL	EQU	B'00000000'
ADCON1VAL	EQU	B'00000110' ; PORTA en mode digital



; DIRECTION DES PORTS I/O  (1=entre)
; -----------------------

DIRPORTA	EQU	B'00000001'	; Direction PORTA 
DIRPORTB	EQU	B'00010001'	; Direction PORTB	
DIRPORTC	EQU	B'00000000'	; Direction PORTC
DIRPORTD	EQU	B'00011111'	; Direction PORTD	
DIRPORTE	EQU	B'00000000'	; Direction PORTE

;A0:inutilis mais entre car test		A1: A2: A3: A4: A5:
;B0:Ete/Hiver	B1:Polarit	B2:Production	B3	B4:Rception	B5:	B6:	B7:
;C0:C1:Cmde LCD	C2:Contraste	C3:Emission		C4:C5:C6:C7:4bits LCD
;D0:D1:D2:D3:D4:Clavier		D5:	 D6:	 D7:
;E0:	E1:	E2:




;*****************************************************************************
;                               PROGRAMME PRINCIPAL                          *
;*****************************************************************************
debut
	call	PWM			; initialisation pour la PWM (rglage du contraste)
	BANK0
	call	lcd_init		; initialisation du LCD

	bsf	INTCON,INTE			;autorise l'interruption RBO/INT
	bsf	INTCON,PEIE			;autorise interruption 
	bsf	INTCON,GIE			;autorise interruption 
	bcf	INTCON,INTE			;autorise l'interruption RBO/INT
	bcf	INTCON,PEIE			;dsactive interruption 
	bcf	INTCON,GIE			;dsactive interruption

restart	
	call	lcd_aff_initialisation

reconnaissance_cel
	call	random				;code pseudo alatoire
	call	envoi_trame_code
	bsf	INTCON,INTE				;autorise l'interruption RBO/INT
	bsf	INTCON,PEIE				;autorise interruption 
	bsf	INTCON,GIE				;autorise interruption 	
	movf	RAND_LO,w
	subwf	valeur1,w
	btfss	STATUS,Z
	goto	reconnaissance_cel		;en cas d'erreur de rception, un nouveau code est envoy
		call	lcd_aff_cellule_ok	;affiche sur lcd Cellule OK
		call	wait_500ms
		call	clr_lcd			;efface LCD

;*********************************
essai
	clrf	pause
	clrf	polarite
	clrf	scompteur_1s
	clrf	seconde

	call	ancien_prog_eeprom	;on charge le contenu de l'eeprom (totalit)

;---- Vrifie si premier dmarage ou bug ----;
First_on
	movf	choix_prog,w		
	sublw	d'255'			;si choix_prog=255  /new pic/first on/problme lecture eeprom
	btfss	STATUS,Z	
	goto	bcl_diff_ete_hiver	;on fait avec les valeurs qui ont t lue  juste avant (call ancien_prog_eeprom)
		call	clr_lcd		;efface le LCD
		clrf	choix_prog		;Choix_prog=1 par dfaut
		movlw	d'255'		;choix_prog diffrent choix_prog_n_1 donc new programme
		movwf	choix_prog_n_1
		call	ete_ou_hiver	;dtermine si ete ou hiver
		call	menu_ctrl		;appelle le ss-prog pour modifier le contraste ou faire inversion de polarit
		call	new_prog		;appelle le ss-prog pour choisir un nouveau programme
		bsf	production		;active le relais production
		bsf	INTCON,RBIE			;dsactive interruption RB4/RB7
		goto	bcl_principale	;


;---- Controle s'il y a une diffrence Hiver/Ete avant le reboot,si oui new prog ----;
bcl_diff_ete_hiver
	movf	manuel,w
	sublw	d'1'
	btfss	STATUS,Z				;z=1=galit = l'utilisateur ou le menu prime sur la couverture
	goto	mode_charge_auto
mode_charge_manuel
	bcf	INTCON,RBIE			;dsactive interruption RB4/RB7
	bsf	led_manuel			;allume la led tmoin
	movf	var_ete_hiver_manuel,w
	movwf	var_ete_hiver
	goto	bcl_ancien_prog

mode_charge_auto
	bsf	INTCON,RBIE			;active interruption RB4/RB7
	bcf	led_manuel			;teint la led tmoin MODE MANUEL
	call	ete_ou_hiver		;ss-prog pour dire si ete ou hiver
	call	bank2				; Change d'adressage
	movlw	0x14				; Charge la valeur en Hxa 0x14
	movwf	EEADR				; Place W dans le registre d'adressage de l'EEPROM
	call	bank0				; Change d'adressage
	call	lit_eeprom			; Appelle le Ss prog de lecture de l'EEPROM (et renvoie la valeur ds W)
	subwf	var_ete_hiver,w		; compare avec entre avant l'arret du systme et maintenant,si diff new prog
	btfsc	STATUS,Z			; z=1=pareil donc ancien programme
	goto	bcl_ancien_prog_pol
		call	aff_lcd_attention	; indique au dmarrage que la position t hiver a t boug hors tension
		call	wait_500ms		; affiche la nouvelle posiiton (Ete ou hiver)
		call	wait_500ms
		call	wait_500ms
		call	wait_500ms
		call	bank2				; Change d'adressage
		movlw	0x14				; Charge la valeur en Hxa 0x14
		movwf	EEADR				; Place W dans le registre d'adressage de l'EEPROM
		call	bank0				; Change d'adressage
		movf	var_ete_hiver,w
		call	ecrit_eeprom	; Ss prog d'criture en EEPROM,avec W=0 car y a galit 
		call	valeur_programme	;charge les nouvelles valeurs en tenant compte de ete ou hiver


bcl_ancien_prog_pol
	movf	polarite_B,w
	sublw	d'1'
	btfsc	STATUS,Z
	goto	active_pol_b
		bcf	polarite_A_B
		goto	bcl_ancien_prog
active_pol_b
	bsf	polarite_A_B





;---- Ancien programme ----;
bcl_ancien_prog
	bsf	production
	movf	pause,w
	sublw	d'1'
	btfsc	STATUS,Z			;si pause=1 = dsactiver la prodcution
	bcf	production

;---- Boucle principale ----;
bcl_principale
	clrf	compteur_10mn		;toute les 10mn on crira en eeprom sauf  la linge en dessous o on force l'criture
	call	met_en_eeprom		;suite au changement de programme, remettre en eeprom

	call	aff_ecran_principal
	call	affiche_lcd_ete_hiver

	bsf	INTCON,T0IE			;autorise interruption TMR0
	bsf	INTCON,PEIE			;autorise interruption 
	bsf	INTCON,GIE			;autorise interruption 	

clavier
;-----  Appui touche -----
	btfss	tche_prog			;appuis "PROG" ?
	goto	appui_prog
		btfss	tche_ctrl			;appuis "CTRL" ?
		goto	appui_ctrl		
			goto	clavier


;-----  Appui PROG  -----			;touche "PROG" appuy
appui_prog
	bcf	production			;dsactive la production
	bcf	INTCON,PEIE			;dsactive interruption 
	bcf	INTCON,GIE			;dsactive interruption 	pour viter tout bug

	call	clr_lcd			;efface LCD
	call	new_prog			;appelle le ss-prog pour choisir un nouveau programme
	goto	bcl_ancien_prog

;-----  Appui CTRL  -----			;touche "CTRL" appuy
appui_ctrl
	bcf	production			;dsactive la production
	bcf	INTCON,PEIE			;dsactive interruption 
	bcf	INTCON,GIE			;dsactive interruption 	pour viter tout bug

	call	clr_lcd			;efface LCD
	call	menu_ctrl			;appelle le ss-prog pour modifier le contraste ou faire inversion de polarit
	call	valeur_programme
	goto	bcl_ancien_prog

	return